// Copyright (c) 1998 by W3C
//
// DOM is a trademark of W3C
// The DOM level 1 specification, from which this
// source is derived, is copyright by W3C.
// See: http://www.w3.org/TR/REC-DOM-Level-1/
//

package org.w3c.dom.html;

import org.w3c.dom.*;

/**

  <P>Local change to font. See the 
    <A  href="http://www.w3.org/TR/REC-html40/present/graphics.html#edef-FONT">FONT element definition</A>
 in HTML 4.0. This element is deprecated in HTML 4.0.
  
</P>

<HR>

<!-- ======== PROPERTY SUMMARY ======== -->

<A NAME="property_summary"><!-- --></A>
<TABLE BORDER=1 CELLPADDING=3 CELLSPACING=0 WIDTH=100%>
<TR BGCOLOR=#CCCCFF ID=TableHeadingColor>
<TD COLSPAN=3><FONT SIZE=+2><B>Property Summary</B>
</FONT></TD></TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-color><CODE>&nbsp;color</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getColor()'>getColor</a>
<a href='#setColor(java.lang.String)'>setColor</a>
</TD>
<TD>
  <P>Font color. See the 
    <A  href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-color-FONT">color attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-face><CODE>&nbsp;face</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getFace()'>getFace</a>
<a href='#setFace(java.lang.String)'>setFace</a>
</TD>
<TD>
  <P>Font face identifier. See the 
    <A  href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-face-FONT">face attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-size><CODE>&nbsp;size</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getSize()'>getSize</a>
<a href='#setSize(java.lang.String)'>setSize</a>
</TD>
<TD>
  <P>Font size. See the 
    <A  href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-size-FONT">size attribute definition</A>
 in HTML 4.0. This attribute is deprecated in HTML 4.0.
  
</P>
</TD>
</TR>
</TABLE>
&nbsp;
*/
public interface HTMLFontElement
extends HTMLElement
{
	/** Assigns the value of the <code><a href=#att-color>color</a></code> property.
	 */
	void setColor (String color);

	/**
	 * Returns the value of the <code><a href=#att-color>color</a></code> property.
	*/
	String getColor ();


	/** Assigns the value of the <code><a href=#att-face>face</a></code> property.
	 */
	void setFace (String face);

	/**
	 * Returns the value of the <code><a href=#att-face>face</a></code> property.
	*/
	String getFace ();


	/** Assigns the value of the <code><a href=#att-size>size</a></code> property.
	 */
	void setSize (String size);

	/**
	 * Returns the value of the <code><a href=#att-size>size</a></code> property.
	*/
	String getSize ();


}
