// Copyright (c) 1998 by W3C
//
// DOM is a trademark of W3C
// The DOM level 1 specification, from which this
// source is derived, is copyright by W3C.
// See: http://www.w3.org/TR/REC-DOM-Level-1/
//

package org.w3c.dom.html;

import org.w3c.dom.*;

/**

  <P>Document head information. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/global.html#edef-HEAD">HEAD element definition</A>
 in HTML 4.0.
  
</P>

<HR>

<!-- ======== PROPERTY SUMMARY ======== -->

<A NAME="property_summary"><!-- --></A>
<TABLE BORDER=1 CELLPADDING=3 CELLSPACING=0 WIDTH=100%>
<TR BGCOLOR=#CCCCFF ID=TableHeadingColor>
<TD COLSPAN=3><FONT SIZE=+2><B>Property Summary</B>
</FONT></TD></TR>
<TR><TD ALIGN=right VALIGN=top WIDTH=1%>
<a name=att-profile><CODE>&nbsp;profile</CODE></a></TD>
<TD ALIGN=center VALIGN=top WIDTH=1%>
<a href='#getProfile()'>getProfile</a>
<a href='#setProfile(java.lang.String)'>setProfile</a>
</TD>
<TD>
  <P>URI designating a metadata profile. See the 
    <A  href="http://www.w3.org/TR/REC-html40/struct/global.html#adef-profile">profile attribute definition</A>
 in HTML 4.0.
  
</P>
</TD>
</TR>
</TABLE>
&nbsp;
*/
public interface HTMLHeadElement
extends HTMLElement
{
	/** Assigns the value of the <code><a href=#att-profile>profile</a></code> property.
	 */
	void setProfile (String profile);

	/**
	 * Returns the value of the <code><a href=#att-profile>profile</a></code> property.
	*/
	String getProfile ();


}
